<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

$hidePageTree = 0;
if ( $confArr[ 'linkhandler.' ][ 'hidePageTree' ] )
{
  $hidePageTree = 1;
}

switch ( $llStatic )
{
  case('de'):
    $tables = array (
        'tx_org_service' => 'mail', // Dienstleistungen
        'tx_org_downloads' => 'tx_org_service', // Dokumente
        'tx_org_headquarters' => 'tx_org_downloads', // Firmen
        'tx_org_cal' => 'tx_org_headquarters', // Kalender
        'tx_org_news' => 'tx_org_cal', // Nachrichten
        'tx_org_staff' => 'tx_org_news', // Personen
        'tx_org_job' => 'tx_org_staff', // Stellenangebote
        'tx_org_event' => 'tx_org_job', // Veranstaltungen
        'tx_org_location' => 'tx_org_event' // Veranstaltungsorte
    );
    break;
  case('default'):
  default:
    $tables = array (
        'tx_org_cal' => 'mail', // Calendar
        'tx_org_headquarters' => 'tx_org_cal', // Companies
        'tx_org_downloads' => 'tx_org_headquarters', // Documents
        'tx_org_event' => 'tx_org_downloads', // Events
        'tx_org_job' => 'tx_org_event', // Jobs
        'tx_org_location' => 'tx_org_job', // Locations
        'tx_org_news' => 'tx_org_location', // News
        'tx_org_staff' => 'tx_org_news', // People
        'tx_org_service' => 'tx_org_staff' // Services
    );
    break;
}

foreach ( $tables as $table => $displayAfter )
{
  switch ( $confArr[ 'linkhandler.' ][ $table ] )
  {
    case( 'No' ):
      continue 2;
    case( 'Yes (recommended)' ):
    default:
      // follow the workflow
      break;
  }
  $tsConfig = '

TCEMAIN.linkHandler.' . $table . ' {
  handler = Cobweb\Linkhandler\RecordLinkHandler
  label   = LLL:EXT:org/Resources/Private/Language/TxLinkhandler/locallang.xlf:tab.' . $table . '
  configuration {
    table         = ' . $table . '
    hidePageTree  = ' . $hidePageTree . '
    %storagePid%
  }
  displayAfter  = ' . $displayAfter . '
  scanBefore    = page
}
';

  $onlyPids = $confArr[ 'linkhandler.' ][ $table . '.' ][ 'onlyPids' ];

  switch ( true )
  {
    case(!empty( $onlyPids ) ):
      $onlyPids = 'storagePid    = ' . $onlyPids;
      break;
    case( empty( $onlyPids ) ):
    default;
      $onlyPids = null;
      break;
  }

  $tsConfig = str_replace( '%storagePid%', $onlyPids, $tsConfig );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );
}

$width = 400;
if ( ( int ) $confArr[ 'linkhandler.' ][ 'width' ] )
{
  $width = ( int ) $confArr[ 'linkhandler.' ][ 'width' ];
}

$tsConfig = '

RTE {
    default {
        buttons {
            link {
                dialogueWindow {
                    width = ' . $width . '
                }
            }
        }
    }
}
';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );

return;
