<?php

function orgTcaColumnsImage6x( $table, $conf_file_image, $conf_text_30_05, $arr_wizard_url )
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      $pathToIcon = 'selicons/';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      $pathToIcon = 'EXT:frontend/Resources/Public/Icons/ImageOrientation/';
      break;
  }

  $tcaColumnsImage6x = array (
    'image' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image',
      'config' => $conf_file_image,
    ),
    'imagecaption' => array (
      'exclude' => 1,
      'l10n_mode' => 'prefixLangTitle',
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.imagecaption',
      'config' => $conf_text_30_05,
    ),
    'imagecaption_position' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imagecaption_position',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( '', '' ),
          array ( 'LLL:EXT:' . $LL . ':imagecaption_position.I.1', 'center' ),
          array ( 'LLL:EXT:' . $LL . ':imagecaption_position.I.2', 'right' ),
          array ( 'LLL:EXT:' . $LL . ':imagecaption_position.I.3', 'left' ),
        ),
        'default' => ''
      ),
    ),
    'imageseo' => array (
      'exclude' => 1,
      'l10n_mode' => 'prefixLangTitle',
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.imageseo',
      'config' => $conf_text_30_05,
    ),
    'imagewidth' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imagewidth',
      'config' => array (
        'type' => 'input',
        'size' => '10',
        'max' => '10',
        'eval' => 'trim',
        'checkbox' => '0',
        'default' => ''
      ),
    ),
    'imageheight' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imageheight',
      'config' => array (
        'type' => 'input',
        'size' => '10',
        'max' => '10',
        'eval' => 'trim',
        'checkbox' => '0',
        'default' => ''
      ),
    ),
    'imageorient' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imageorient',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.0', 0, $pathToIcon . 'above_center.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.1', 1, $pathToIcon . 'above_right.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.2', 2, $pathToIcon . 'above_left.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.3', 8, $pathToIcon . 'below_center.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.4', 9, $pathToIcon . 'below_right.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.5', 10, $pathToIcon . 'below_left.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.6', 17, $pathToIcon . 'intext_right.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.7', 18, $pathToIcon . 'intext_left.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.8', '--div--' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.9', 25, $pathToIcon . 'intext_right_nowrap.gif' ),
          array ( 'LLL:EXT:' . $LL . ':imageorient.I.10', 26, $pathToIcon . 'intext_left_nowrap.gif' ),
        ),
        'selicon_cols' => 6,
        'default' => '0',
        'iconsInOptionTags' => 1,
      ),
    ),
    'imageborder' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imageborder',
      'config' => array (
        'type' => 'check'
      ),
    ),
    'image_noRows' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_noRows',
      'config' => array (
        'type' => 'check'
      ),
    ),
    'image_link' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_link',
      'config' => $arr_wizard_url,
    ),
    'image_zoom' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_zoom',
      'config' => array (
        'type' => 'check'
      ),
    ),
    'image_effects' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_effects',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.0', 0 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.1', 1 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.2', 2 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.3', 3 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.4', 10 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.5', 11 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.6', 20 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.7', 23 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.8', 25 ),
          array ( 'LLL:EXT:' . $LL . ':image_effects.I.9', 26 ),
        ),
      ),
    ),
    'image_frames' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_frames',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.0', 0 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.1', 1 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.2', 2 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.3', 3 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.4', 4 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.5', 5 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.6', 6 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.7', 7 ),
          array ( 'LLL:EXT:' . $LL . ':image_frames.I.8', 8 ),
        ),
      ),
    ),
    'image_compression' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':image_compression',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( 'LLL:EXT:lang/locallang_general.php:LGL.default_value', 0 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.1', 1 ),
          array ( 'GIF/256', 10 ),
          array ( 'GIF/128', 11 ),
          array ( 'GIF/64', 12 ),
          array ( 'GIF/32', 13 ),
          array ( 'GIF/16', 14 ),
          array ( 'GIF/8', 15 ),
          array ( 'PNG', 39 ),
          array ( 'PNG/256', 30 ),
          array ( 'PNG/128', 31 ),
          array ( 'PNG/64', 32 ),
          array ( 'PNG/32', 33 ),
          array ( 'PNG/16', 34 ),
          array ( 'PNG/8', 35 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.15', 21 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.16', 22 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.17', 24 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.18', 26 ),
          array ( 'LLL:EXT:' . $LL . ':image_compression.I.19', 28 ),
        ),
      ),
    ),
    'imagecols' => array (
      'exclude' => 1,
//      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':imagecols',
      'config' => array (
        'type' => 'select',
        'items' => array (
          array ( '1', 1 ),
          array ( '2', 2 ),
          array ( '3', 3 ),
          array ( '4', 4 ),
          array ( '5', 5 ),
          array ( '6', 6 ),
          array ( '7', 7 ),
          array ( '8', 8 ),
        ),
        'default' => 1
      ),
    ),
  );

  switch ( $table )
  {
    case('tx_org_news'):
		// #i0220, 170503, dwildt, +
		case('tx_org_cal'):
    case('tx_org_event'):
    case('tx_org_headquarters'):
    case('tx_org_job'):
    case('tx_org_location'):
    case('tx_org_service'):
    case('tx_org_staff'):
      $tcaColumnsImage6x = $tcaColumnsImage6x
        + array (
        'image_1stforlistonly' => array (
          'exclude' => 1,
          'l10n_mode' => 'exclude',
          'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image_1stforlistonly',
          'config' => array (
            'type' => 'check'
          ),
        ),
      );
      // do nothing
      break;
    default:
      // do nothing
      break;
  }

  return $tcaColumnsImage6x;
}

function orgTcaCtrlImageSearchFields6x()
{
  return ''
    . 'image'
    . ',imagecaption'
    . ',imageseo'
    . ',imagewidth'
    . ',imageheight'
    . ',imageorient'
    . ',imagecaption'
    . ',imagecols'
    . ',imageborder'
    . ',imagecaption_position'
    . ',image_link'
    . ',image_zoom'
    . ',image_noRows'
    . ',image_effects'
    . ',image_compression'
    . ','
  ;
}

function orgTcaPalettesImage6x()
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  $tcaPalettesImage6x = array (
    'image_accessibility' => array (
      'showitem' => ''
      . 'imageseo;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.imageseo,'
      ,
      'canNotCollapse' => 1,
    ),
    'imageblock' => array (
      'showitem' => ''
      . 'imageorient;LLL:EXT:' . $LL . ':imageorient_formlabel,'
      . 'imagecols;LLL:EXT:' . $LL . ':imagecols_formlabel,'
      . '--linebreak--,'
      . 'image_noRows;LLL:EXT:' . $LL . ':image_noRows_formlabel,'
      . 'imagecaption_position;LLL:EXT:' . $LL . ':imagecaption_position_formlabel'
      ,
      'canNotCollapse' => 1,
    ),
    'imagefiles' => array (
      'showitem' => ''
      . 'image;LLL:EXT:' . $LL . ':image_formlabel,'
      . 'imagecaption;LLL:EXT:' . $LL . ':imagecaption_formlabel,'
      ,
      'canNotCollapse' => 1,
    ),
    'imagelinks' => array (
      'showitem' => ''
      . 'image_zoom;LLL:EXT:' . $LL . ':image_zoom_formlabel,'
      . 'image_link;LLL:EXT:' . $LL . ':image_link_formlabel'
      ,
      'canNotCollapse' => 1,
    ),
    'image_1stforlistonly' => array (
      'showitem' => 'image_1stforlistonly;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image_1stforlistonly,',
      'canNotCollapse' => 1,
    ),
    'image_settings' => array (
      'showitem' => ''
      . 'imagewidth;LLL:EXT:' . $LL . ':imagewidth_formlabel,'
      . 'imageheight;LLL:EXT:' . $LL . ':imageheight_formlabel,'
      . 'imageborder;LLL:EXT:' . $LL . ':imageborder_formlabel,'
      . '--linebreak--,'
      . 'image_compression;LLL:EXT:' . $LL . ':image_compression_formlabel,'
      . 'image_effects;LLL:EXT:' . $LL . ':image_effects_formlabel,'
      . 'image_frames;LLL:EXT:' . $LL . ':image_frames_formlabel'
      ,
      'canNotCollapse' => 1,
    ),
  );

  return $tcaPalettesImage6x;
}

function orgTcaTypesImage6x( $case = 'big' )
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  switch ( $case )
  {
    case('small'):
      $tcaTypesImage6x = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,'
      ;
      break;
    case('medium'):
      $tcaTypesImage6x = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.image_settings;image_settings,'
        . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_seo, '
        . '  imageseo,'

      ;
      break;
    case('big'):
    default:
      $tcaTypesImage6x = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.imagefiles;imagefiles,'
        . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.image_1stforlistonly;image_1stforlistonly,'
        . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.image_accessibility;image_accessibility,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.imageblock;imageblock,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.imagelinks;imagelinks,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.image_settings;image_settings,'
      ;
      break;
  }

  return $tcaTypesImage6x;
}
