<?php

function orgTcaColumnsMedia6x( $table, $documentConfig, $conf_input_80_trim )
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  $tcaColumnsMedia6x = array (
    'documents' => array (
      'exclude' => 1,
      'l10n_mode' => 'mergeIfNotBlank',
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.file',
      'config' => orgTcaColumnsMedia6xFileConfig( $documentConfig ),
    ),
    'documentscaption' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.documentscaption',
      'config' => $conf_input_80_trim,
    ),
    'documentslayout' => array (
      'exclude' => 1,
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout',
      'config' => array (
        'type' => 'select',
        'size' => 1,
        'maxitems' => 1,
        'items' => array (
          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.0', 0 ),
          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.1', 1 ),
          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.2', 2 ),
        ),
      ),
    ),
    'documentssize' => array (
      'exclude' => 1,
      //'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:' . $LL . ':filelink_size',
      'config' => array (
        'type' => 'check',
        'items' => array (
          '1' => array (
            '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
          ),
        ),
        'default' => '1'
      ),
    ),
    'documents_from_path' => array (
      'exclude' => 1,
      //'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.code',
      'config' => array (
        'type' => 'input',
        'size' => '50',
        'max' => '80',
        'eval' => 'trim',
      ),
    ),
  );


  switch ( $table )
  {
    case('tx_org_event'):
    case('tx_org_headquarters'):
    case('tx_org_job'):
    case('tx_org_location'):
    case('tx_org_service'):
      // do nothing
      break;
    case('tx_org_downloads'):
      $tcaColumnsMedia6x = $tcaColumnsMedia6x
        + array (
        'documents_display_label' => array (
          'exclude' => 1,
          //'l10n_mode' => 'exclude',
          'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_display_label',
          'config' => array (
            'type' => 'check',
            'items' => array (
              '1' => array (
                '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
              ),
            ),
            'default' => '1'
          ),
        ),
        'documents_display_caption' => array (
          'exclude' => 1,
          //'l10n_mode' => 'exclude',
          'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_display_caption',
          'config' => array (
            'type' => 'check',
            'items' => array (
              '1' => array (
                '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
              ),
            ),
            'default' => '0'
          ),
        ),
        'linkicon_width' => array (
          'exclude' => 1,
          'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_width',
          'config' => array (
            'type' => 'input',
            'size' => '10',
            'max' => '10',
            'eval' => 'trim',
            'checkbox' => '0',
            'default' => ''
          ),
        ),
        'linkicon_height' => array (
          'exclude' => 1,
          'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_height',
          'config' => array (
            'type' => 'input',
            'size' => '10',
            'max' => '10',
            'eval' => 'trim',
            'checkbox' => '0',
            'default' => ''
          ),
        ),
      );
      break;
  }
  return $tcaColumnsMedia6x;
}

function orgTcaColumnsMedia6xFileConfig( $documentConfig )
{
  return $documentConfig;
}

function orgTcaCtrlMediaSearchFields6x()
{
  return ''
    . 'documents,'
    . 'documentscaption,'
    . 'documentslayout,'
    . 'documentssize,'
    . 'documents_display_label,'
    . 'documents_display_caption,'
    . 'documents_from_path,'
    . 'linkicon_width,'
    . 'linkicon_height,'
  ;
}

function orgTcaPalettesMedia6x()
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }
  
  $tcaPalettesMedia6x = array (
    'documentscaption' => array (
      'showitem' => ''
      . 'documentscaption;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentscaption'
      ,
      'canNotCollapse' => 1,
    ),
    'documents_appearance' => array (
      'showitem' => ''
      . 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,'
      . 'documentssize;LLL:EXT:' . $LL . ':filelink_size_formlabel'
      ,
      'canNotCollapse' => 1,
    ),
    'documents_upload' => array (
      'showitem' => ''
      . 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path,'
      . '--linebreak--,'
      . 'documents;LLL:EXT:' . $LL . ':media.ALT.uploads_formlabel,'
      . 'documentscaption;LLL:EXT:' . $LL . ':imagecaption.ALT.uploads_formlabel;;nowrap,'
      . '--linebreak--,'
      ,
      'canNotCollapse' => 1,
    ),
    'link' => array (
      'showitem' => ''
      . 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,'
      . 'documents_display_label,documents_display_caption,documentssize;LLL:EXT:' . $LL . ':filelink_size_formlabel'
      ,
      'canNotCollapse' => 1,
    ),
    'linkicon_size' => array (
      'showitem' => ''
      . 'linkicon_width;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_width,'
      . 'linkicon_height;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_height'
      ,
      'canNotCollapse' => 1,
    ),
    'link_shipping' => array (
      'showitem' => ''
      . 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documents_display_label,'
      . 'documents_display_caption'
      ,
      'canNotCollapse' => 1,
    ),
    'thumbnail_size' => array (
      'showitem' => ''
      . 'thumbnail_width;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_width,'
      . 'thumbnail_height;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_height'
      ,
      'canNotCollapse' => 1,
    ),
    'type_documents_download' => array (
      'showitem' => ''
      . 'documents;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.file,'
      . 'thumbnail;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_type_documents_download'
      ,
      'canNotCollapse' => 1,
    ),
    'type_documents_shipping' => array (
      'showitem' => ''
      . 'thumbnail;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_type_documents_shipping'
      ,
      'canNotCollapse' => 1,
    ),
  );

  return $tcaPalettesMedia6x;
}

function orgTcaTypesMedia6x( $table, $type = 'default' )
{
    switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  switch ( $table )
  {
    case('tx_org_event'):
    case('tx_org_headquarters'):
    case('tx_org_job'):
    case('tx_org_location'):
    case('tx_org_service'):
      $tcaTypesMedia6x = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.media,'
        . '  --palette--;LLL:EXT:' . $LL . ':media;documents_upload,'
        . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.appearance;documents_appearance,'
      ;
      break;
    case('tx_org_downloads'):
      switch ( $type )
      {
        case('shipping'):
          $tcaTypesMedia6x = ''
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_file,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.type_documents_shipping;type_documents_shipping,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.documentscaption;documentscaption,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.thumbnail_size;thumbnail_size,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.link_shipping;link_shipping,'
//            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.linkicon_size;linkicon_size,'
          ;
          break;
        case('download'):
        case('download_shipping'):
        default:
          $tcaTypesMedia6x = ''
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_file,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.type_documents_download;type_documents_download,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.documentscaption;documentscaption,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.thumbnail_size;thumbnail_size,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.link;link,'
//            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.linkicon_size;linkicon_size,'
          ;
          break;
      }
      break;
  }

  return $tcaTypesMedia6x;
}
