<?php

function orgTcaColumnsMediaFAL( $table, $column )
{
	switch( TRUE )
	{
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) < 7000000 ):
			$LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
			break;
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) >= 7000000 ):
		default:
			$LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
			break;
	}

	$tcaColumnsMediaFAL = array(
			// See: typo3/sysext/fluid_styled_content/Configuration/TCA/Overrides/tt_content.php
			'documents' => array(
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents',
					'config' => orgTcaColumnsMediaFALFileConfig( $column )
			),
			'documentslayout' => array(
					'exclude' => 1,
					'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout',
					'config' => array(
							'type' => 'select',
							'size' => 1,
							'maxitems' => 1,
							'items' => array(
									array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.0', 0 ),
									array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.1', 1 ),
									array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.2', 2 ),
							),
					),
			),
			'documentssize' => array(
					'exclude' => 1,
					//'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size',
					'config' => array(
							'type' => 'check',
							'items' => array(
									'1' => array(
											'0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
									),
							),
							'default' => '1'
					),
			),
			'documents_from_path' => array(
					'exclude' => 1,
					//'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.code',
					'config' => array(
							'type' => 'input',
							'size' => '50',
							'max' => '80',
							'eval' => 'trim',
					),
			),
	);

	switch( $table )
	{
		case('tx_org_event'):
		case('tx_org_headquarters'):
		case('tx_org_job'):
		case('tx_org_news'):
		case('tx_org_location'):
		case('tx_org_service'):
			// do nothing
			break;
		case('tx_org_downloads'):
			$tcaColumnsMediaFAL = $tcaColumnsMediaFAL + array(
					'documents_display_label' => array(
							'exclude' => 1,
							//'l10n_mode' => 'exclude',
							'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_display_label',
							'config' => array(
									'type' => 'check',
									'items' => array(
											'1' => array(
													'0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
											),
									),
									'default' => '1'
							),
					),
					'documents_display_caption' => array(
							'exclude' => 1,
							//'l10n_mode' => 'exclude',
							'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_display_caption',
							'config' => array(
									'type' => 'check',
									'items' => array(
											'1' => array(
													'0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
											),
									),
									'default' => '0'
							),
					),
					'linkicon_width' => array(
							'exclude' => 1,
							'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_width',
							'config' => array(
									'type' => 'input',
									'size' => '10',
									'max' => '10',
									'eval' => 'trim',
									'checkbox' => '0',
									'default' => ''
							),
					),
					'linkicon_height' => array(
							'exclude' => 1,
							'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_height',
							'config' => array(
									'type' => 'input',
									'size' => '10',
									'max' => '10',
									'eval' => 'trim',
									'checkbox' => '0',
									'default' => ''
							),
					),
			);
			break;
	}

	return $tcaColumnsMediaFAL;
}

function orgTcaColumnsMediaFALFileConfig( $column )
{
	return \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig( $column, array(
							'appearance' => array(
									'createNewRelationLinkTitle' => 'LLL:EXT:fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.asset_references.addFileReference'
							)
							, 'foreign_types' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'image' ][ 'config' ][ 'foreign_types' ]
									)
									, $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ] . ',doc,docx,ods,odt,sxw,xls,xlsx'
	);
}

function orgTcaCtrlMediaSearchFieldsFAL()
{
	return ''
					. 'documents,'
					. 'documentslayout,'
					. 'linkicon_width,'
					. 'linkicon_height,'
	;
}

function orgTcaPalettesMediaFAL()
{
	switch( TRUE )
	{
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) < 7000000 ):
			$LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
			break;
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) >= 7000000 ):
		default:
			$LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
			break;
	}

	$tcaPalettesMediaFAL = array(
			// See: typo3/sysext/frontend/Configuration/TCA/tt_content.php
//    'appearanceLinks' => array (
//      'showitem' => '
//				sectionIndex;LLL:EXT:' . $LL . ':sectionIndex_formlabel,
//				linkToTop;LLL:EXT:' . $LL . ':linkToTop_formlabel
//			'
//    ),
			'documents_appearance' => array(
					'showitem' => ''
					. 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,'
					. 'documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel'
					,
					'canNotCollapse' => 1,
			),
			'documents_upload' => array(
					'showitem' => ''
					. 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path,'
					. '--linebreak--,'
					. 'documents,'
					,
					'canNotCollapse' => 1,
			),
			// See: typo3/sysext/fluid_styled_content/Configuration/TCA/Overrides/tt_content.php
//    'gallerySettings' => array (
//      'showitem' => '
//        imageorient;LLL:EXT:' . $LL . ':imageorient_formlabel,
//        imagecols;LLL:EXT:' . $LL . ':imagecols_formlabel
//			'
//    ),
			// See: typo3/sysext/frontend/Configuration/TCA/tt_content.php
			'imagelinks' => array(
					'showitem' => '
				image_zoom;LLL:EXT:' . $LL . ':image_zoom_formlabel
			',
			),
			// See: typo3/sysext/fluid_styled_content/Configuration/TCA/Overrides/tt_content.php
//    'mediaAdjustments' => array (
//      'showitem' => '
//        imagewidth;fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.palette.textmedia.imagewidth,
//        imageheight;fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.palette.textmedia.imageheight,
//        imageborder;fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.palette.textmedia.imageborder
//			'
//    ),
			'link' => array(
					'showitem' => ''
					. 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,'
					. 'documents_display_label,documents_display_caption,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel'
					,
					'canNotCollapse' => 1,
			),
			'linkicon_size' => array(
					'showitem' => ''
					. 'linkicon_width;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_width,'
					. 'linkicon_height;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.linkicon_height'
					,
					'canNotCollapse' => 1,
			),
			'link_shipping' => array(
					'showitem' => ''
					. 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documents_display_label,'
					. 'documents_display_caption'
					,
					'canNotCollapse' => 1,
			),
			'thumbnail_size' => array(
					'showitem' => ''
					. 'thumbnail_width;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_width,'
					. 'thumbnail_height;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_height'
					,
					'canNotCollapse' => 1,
			),
			'type_documents_download' => array(
					'showitem' => ''
					. 'documents;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.file,'
					. 'thumbnail;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_type_documents_download'
					,
					'canNotCollapse' => 1,
			),
			'type_documents_shipping' => array(
					'showitem' => ''
					. 'thumbnail;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_type_documents_shipping'
					,
					'canNotCollapse' => 1,
			),
	);

	return $tcaPalettesMediaFAL;
}

function orgTcaTypesMediaFAL( $table, $type = 'default' )
{
	switch( TRUE )
	{
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) < 7000000 ):
			$LL = 'org/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
			break;
		case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version ) >= 7000000 ):
		default:
			$LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
			break;
	}

	switch( $table )
	{
		case('tx_org_event'):
		case('tx_org_headquarters'):
		case('tx_org_job'):
		case('tx_org_location'):
		case('tx_org_service'):
			$tcaTypesMediaFAL = ''
							. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
							. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
							. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.appearance;documents_appearance,'
			;
			break;
		case('tx_org_downloads'):
			switch( $type )
			{
				case('shipping'):
					$tcaTypesMediaFAL = ''
									. '--div--;LLL:EXT:' . $LL . ':tabs.media,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.type_documents_shipping;type_documents_shipping,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.link;link,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.thumbnail_size;thumbnail_size,'
//                  . '  --palette--;LLL:EXT:fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.palette.gallerySettings;gallerySettings,'
//                  . '  --palette--;LLL:EXT:' . $LL . ':palette.appearanceLinks;appearanceLinks,'
					;
					break;
				case('download'):
				case('download_shipping'):
				default:
					$tcaTypesMediaFAL = ''
									. '--div--;LLL:EXT:' . $LL . ':tabs.media,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.type_documents_download;type_documents_download,'
//            . '  --palette--;LLL:EXT:' . $LL . ':palette.imagelinks;imagelinks,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.link;link,'
									. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.thumbnail_size;thumbnail_size,'
//                  . '  --palette--;LLL:EXT:fluid_styled_content/Resources/Private/Language/Database.xlf:tt_content.palette.gallerySettings;gallerySettings,'
//                  . '  --palette--;LLL:EXT:' . $LL . ':palette.appearanceLinks;appearanceLinks,'
					;
					break;
			}
			break;
	}

	return $tcaTypesMediaFAL;
}
