<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/geocoding.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 3+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_headquarters = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters',
				'label' => 'mail_city',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'default_sortby' => 'ORDER BY mail_city, title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.gif',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'title,uid_parent,tx_org_headquarterscat,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,mail_lat,mail_lon,mail_url,mail_embeddedcode,'
				. 'postbox_postbox,postbox_postcode,postbox_city,'
				. 'telephone,fax,email,'
//    . 'pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description'
				,
				// #69252, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => $extManagerGeocodingEnabled,
						),
				),
		),
		'interface' => array(
				'showRecordFieldList' => ''
//    . 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,uid_parent,tx_org_headquarterscat,bodytext,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,mail_lat,mail_lon,mail_url,mail_embeddedcode,'
				. 'postbox_postbox,postbox_postcode,postbox_city,'
				. 'manager,telephone,fax,email,url,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_news,'
				. 'tx_org_staff,'
				. 'tx_org_service,'
				. 'tx_org_job,'
				. 'tx_org_cal,'
				. 'tx_org_location,'
//    . 'pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description'
		,
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'exclude' => 1,
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'items' => array(
										array(
												'',
												0
										)
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.pid=###CURRENT_PID### AND tx_org_headquarters.sys_language_uid IN (-1,0)',
								'default' => 0
						)
				),
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
								),
								'default' => 'record',
						),
						// #69252, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
								),
						),
				),
				'page' => array(
						'exclude' => 0,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'title' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.title',
						'config' => $conf_input_30_trimRequired,
				),
				'uid_parent' => orgUidParent(
								'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.uid_parent'
								, 'tx_org_headquarters'
								, ''
								// #i0190, 170218, dwildt, 1+
								. 'AND tx_org_headquarters.pid=###CURRENT_PID### '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title'
				),
				'tx_org_headquarterscat' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_headquarterscat',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_headquarters'
										, 'tx_org_headquarterscat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_headquarterscat.' . $str_store_record_conf . ' '
										//. 'AND tx_org_headquarterscat.pid=###CURRENT_PID### '
										. 'AND tx_org_headquarterscat.deleted = 0 '
										. 'AND tx_org_headquarterscat.hidden = 0 '
										. 'ORDER BY tx_org_headquarterscat.title'
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_headquarterscat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_headquarterscat'
								),
								'foreign_table' => 'tx_org_headquarterscat',
								'foreign_table_where' => 'AND tx_org_headquarterscat.' . $str_store_record_conf . ' AND tx_org_headquarterscat.deleted = 0 AND tx_org_headquarterscat.hidden = 0 ORDER BY tx_org_headquarterscat.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'bodytext' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.bodytext',
						// ##t0717, dwildt, ~
						'config' => $conf_text_rte,
						'XXXconfig' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'wizards' => array(
										'_PADDING' => 2,
										'RTE' => array(
												'notNewRecords' => 1,
												'RTEonly' => 1,
												'type' => 'script',
												'title' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:wizard.rte.fullscreen',
												'icon' => 'wizard_rte2.gif',
												'script' => 'wizard_rte.php',
										),
								),
						),
				),
				'mail_address' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_address',
						'config' => $conf_text_30_05,
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_postcode',
						'config' => $conf_input_30_trim,
				),
				'mail_city' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_city',
						'config' => $conf_input_30_trim,
				),
				'mail_country' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_country',
						'config' => $conf_input_30,
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lat',
						'config' => $conf_input_30,
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lon',
						'config' => $conf_input_30,
				),
				'mail_url' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_url',
						'config' => $arr_wizard_url,
				),
				'mail_embeddedcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_embeddedcode',
						'config' => $conf_text_50_10,
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateprompt',
						'config' => $conf_text_50_10,
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'postbox_postbox' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_postbox',
						'config' => $conf_text_30_05,
				),
				'postbox_postcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_postcode',
						'config' => $conf_input_30_trim,
				),
				'postbox_city' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_city',
						'config' => $conf_input_30_trim,
				),
				'manager' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.manager',
						'config' => array(
								'type' => 'select',
								'size' => 50,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'telephone' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.telephone',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'fax' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.fax',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'email' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.email',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'url' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.url',
						'exclude' => 1,
						'config' => $arr_wizard_url,
				),
				'teaser_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.teaser_title',
						'config' => $conf_input_30_trim,
				),
				'teaser_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.teaser_short',
						'config' => $conf_text_50_10,
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.marginal_title',
						'config' => $conf_input_30_trim,
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.marginal_short',
						'config' => $conf_text_50_10,
				),
				'tx_org_news' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_news',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_headquarters',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC, title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_headquarters',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC, title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_service' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_service',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'foreign_table' => 'tx_org_service',
								'foreign_table_where' => 'AND tx_org_service.' . $str_store_record_conf . ' AND tx_org_service.deleted = 0 AND tx_org_service.hidden = 0 AND (tx_org_service.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_service.sys_language_uid = -1) ORDER BY tx_org_service.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'foreign_table' => 'tx_org_service',
								'foreign_table_where' => 'AND tx_org_service.' . $str_store_record_conf . ' AND tx_org_service.deleted = 0 AND tx_org_service.hidden = 0 AND (tx_org_service.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_service.sys_language_uid = -1) ORDER BY tx_org_service.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_staff' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_job' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_job',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								'foreign_table' => 'tx_org_job',
								'foreign_table_where' => 'AND tx_org_job.' . $str_store_record_conf . ' AND tx_org_job.deleted = 0 AND tx_org_job.hidden = 0 AND (tx_org_job.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_job.sys_language_uid = -1) ORDER BY tx_org_job.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								'foreign_table' => 'tx_org_job',
								'foreign_table_where' => 'AND tx_org_job.' . $str_store_record_conf . ' AND tx_org_job.deleted = 0 AND tx_org_job.hidden = 0 AND (tx_org_job.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_job.sys_language_uid = -1) ORDER BY tx_org_job.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_cal' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_cal',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.datetime DESC',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.datetime DESC',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_location' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_location',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND (tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69252, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND (tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
//    'pubtrans_stop' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.pubtrans_stop',
//      'config' => $conf_text_rte,
//    ),
//    'pubtrans_url' => array (
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.pubtrans_url',
//      'exclude' => 1,
//      'config' => $arr_wizard_url,
//    ),
//    'pubtrans_embeddedcode' => array (
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.pubtrans_embeddedcode',
//      'exclude' => 1,
//      'config' => $conf_text_50_10,
//    ),
//    'documents_from_path' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.code',
//      'config' => array (
//        'type' => 'input',
//        'size' => '50',
//        'max' => '80',
//        'eval' => 'trim',
//      ),
//    ),
//    'documents' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents',
//      'config' => $conf_file_document,
//    ),
//    'documentscaption' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentscaption',
//      'config' => $conf_text_30_05,
//    ),
//    'documentslayout' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout',
//      'config' => array (
//        'type' => 'select',
//        'size' => 1,
//        'maxitems' => 1,
//        'items' => array (
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.0', 0 ),
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.1', 1 ),
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.2', 2 ),
//        ),
//      ),
//    ),
//    'documentssize' => array (
//      'exclude' => 1,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size',
//      'config' => array (
//        'type' => 'check',
//        'items' => array (
//          '1' => array (
//            '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
//          ),
//        ),
//      ),
//    ),
				'hidden' => $conf_hidden,
				'topitem' => $conf_topitem,
				'pages' => $conf_pages,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  type,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '  postbox_postbox;;;;3-3-3,postbox_postcode,postbox_city,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_job,'
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_location,'
						. '  tx_org_location,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_pubtrans,'
//      . '  pubtrans_stop;;;richtext[]:rte_transform[mode=ts],pubtrans_url,pubtrans_embeddedcode,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_headquarters', $fal )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_seo,'
						. '  seo_keywords,seo_description, description,'
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  type,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '  postbox_postbox;;;;3-3-3,postbox_postcode,postbox_city,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_job,'
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_location,'
						. '  tx_org_location,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_pubtrans,'
//      . '  pubtrans_stop;;;richtext[]:rte_transform[mode=ts],pubtrans_url,pubtrans_embeddedcode,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_headquarters', $fal )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_seo,'
						. '  seo_keywords,seo_description, description,'
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'topitem,pages,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//				'documents_appearance' => array(
//						'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//						'canNotCollapse' => 1,
//				),
//				'documents_upload' => array(
//						'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//						'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//						'canNotCollapse' => 1,
//				),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_postcode,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lon,',
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url'
						,
						'canNotCollapse' => 1,
				),
		),
);

// #t0773, 160720, dwildt, 2+
$tx_org_headquarters[ 'columns' ] = ( array ) $tx_org_headquarters[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_headquarters', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal ) + ( array ) orgTcaColumnsMedia( 'tx_org_headquarters', 'documents', $conf_file_document, $conf_input_80_trim, $fal )
;
$tx_org_headquarters[ 'ctrl' ] = ( array ) $tx_org_headquarters[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_headquarters', $fal )
;
$tx_org_headquarters[ 'palettes' ] = ( array ) $tx_org_headquarters[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal ) + ( array ) orgTcaPalettesMedia( $fal )
;
//var_dump($tx_org_headquarters);
//die();
return $tx_org_headquarters;
