<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/geocoding.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 3+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_service = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service',
				'label' => 'title',
				'label_alt' => 'tx_org_headquarters',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => TRUE,
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_service.gif',
				'thumbnail' => 'image',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'title,reference_number,,short,description,specification,'
				. 'mail_street,mail_zip,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_headquarters,'
				. 'tx_org_servicecat,tx_org_servicesector,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				. 'note,'
				. 'hidden,topitem,starttime,endtime,'
				,
				// #69255, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_zip',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => $extManagerGeocodingEnabled,
						),
				),
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'type,page,url,'
				. 'title,reference_number,description,'
				. 'mail_address,mail_street,mail_zip,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_headquarters,'
				. 'tx_org_staff,'
				. 'tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				. 'hidden,topitem,starttime,endtime,'
		,
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.uid=###REC_FIELD_l10n_parent### AND tx_org_cal.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_service.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
								),
								'default' => 'record',
						),
						// #69255, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
								),
						),
				),
				'page' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'url' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url',
						'config' => $arr_wizard_url,
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.title',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'reference_number' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.reference_number',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						)
				),
				'description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.description',
						// ##t0717, dwildt, ~
						'config' => $conf_text_rte,
						'XXXconfig' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'wizards' => array(
										'_PADDING' => 2,
										'RTE' => array(
												'notNewRecords' => 1,
												'RTEonly' => 1,
												'type' => 'script',
												'title' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:wizard.rte.fullscreen',
												'icon' => 'wizard_rte2.gif',
												'script' => 'wizard_rte.php',
										),
								),
						),
				),
				'mail_address' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_address',
						'config' => $conf_text_30_05,
				),
				'mail_street' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_zip' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_zip',
						'config' => array(
								'type' => 'input',
								'size' => '20',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lat' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lon' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateprompt',
						'config' => $conf_text_50_10,
				),
				'geoupdateforbidden' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'teaser_title' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.teaser_title',
						'config' => $conf_input_30_trim,
				),
				'teaser_short' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.teaser_short',
						'config' => $conf_text_50_10,
				),
				'marginal_title' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.marginal_title',
						'config' => $conf_input_30_trim,
				),
				'marginal_short' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.marginal_short',
						'config' => $conf_text_50_10,
				),
				'tx_org_servicecat' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicecat',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_service'
										, 'tx_org_servicecat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicecat.' . $str_store_record_conf . ' '
										//. 'AND tx_org_servicecat.pid=###CURRENT_PID### '
										. 'AND tx_org_servicecat.deleted = 0 '
										. 'AND tx_org_servicecat.hidden = 0 '
										. 'ORDER BY tx_org_servicecat.title'
						),
						// #69255, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicecat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicecat'
								),
								'foreign_table' => 'tx_org_servicecat',
								'foreign_table_where' => 'AND tx_org_servicecat.' . $str_store_record_conf . ' AND tx_org_servicecat.deleted = 0 AND tx_org_servicecat.hidden = 0 ORDER BY tx_org_servicecat.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_servicesector' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicesector',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_service'
										, 'tx_org_servicesector'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicesector.' . $str_store_record_conf . ' '
										//. 'AND tx_org_servicesector.pid=###CURRENT_PID### '
										. 'AND tx_org_servicesector.deleted = 0 '
										. 'AND tx_org_servicesector.hidden = 0 '
										. 'ORDER BY tx_org_servicesector.title'
						),
						// #69255, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicesector'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicesector'
								),
								'foreign_table' => 'tx_org_servicesector',
								'foreign_table_where' => 'AND tx_org_servicesector.' . $str_store_record_conf . '  AND tx_org_servicesector.deleted = 0 AND tx_org_servicesector.hidden = 0 ORDER BY tx_org_servicesector.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_servicetargetgroup' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicetargetgroup',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_service'
										, 'tx_org_servicetargetgroup'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicetargetgroup.' . $str_store_record_conf . ' '
										//. 'AND tx_org_servicetargetgroup.pid=###CURRENT_PID### '
										. 'AND tx_org_servicetargetgroup.deleted = 0 '
										. 'AND tx_org_servicetargetgroup.hidden = 0 '
										. 'ORDER BY tx_org_servicetargetgroup.title'
						),
						// #69255, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicetargetgroup'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_servicetargetgroup'
								),
								'foreign_table' => 'tx_org_servicetargetgroup',
								'foreign_table_where' => 'AND tx_org_servicetargetgroup.' . $str_store_record_conf . '  AND tx_org_servicetargetgroup.deleted = 0 AND tx_org_servicetargetgroup.hidden = 0 ORDER BY tx_org_servicetargetgroup.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_headquarters',
						'config' => array(
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => ''
								. 'AND tx_org_headquarters.' . $str_store_record_conf . ' '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'maxitems' => 9999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_service',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'renderMode' => 'tree', // TYPO3 6.x
								'renderType' => 'selectTree', // TYPO3 7.x
								'size' => 10,
								'treeConfig' => array(
										'parentField' => 'uid_parent',
										'appearance' => array(
												'expandAll' => true,
												'showHeader' => true,
												'maxLevels' => 99,
										),
								),
								'type' => 'select',
						),
						// #69255, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_service',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_staff' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69255, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
//    'documents_from_path' => array(
//      'exclude' => $bool_exclude_default,
//      'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.code',
//      'config' => array(
//        'type' => 'input',
//        'size' => '50',
//        'max' => '80',
//        'eval' => 'trim',
//      ),
//    ),
//    'documents' => array(
//      'exclude' => $bool_exclude_default,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents',
//      'config' => $conf_file_document,
//    ),
//    'documentscaption' => array(
//      'exclude' => $bool_exclude_default,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentscaption',
//      'config' => $conf_text_30_05,
//    ),
//    'documentslayout' => array(
//      'exclude' => $bool_exclude_default,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout',
//      'config' => array(
//        'type' => 'select',
//        'size' => 1,
//        'maxitems' => 1,
//        'items' => array(
//          array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.0', 0 ),
//          array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.1', 1 ),
//          array( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.2', 2 ),
//        ),
//      ),
//    ),
//    'documentssize' => array(
//      'exclude' => $bool_exclude_default,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size',
//      'config' => array(
//        'type' => 'check',
//        'items' => array(
//          '1' => array(
//            '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
//          ),
//        ),
//      ),
//    ),
				'hidden' => $conf_hidden,
				'topitem' => $conf_topitem,
				'starttime' => $conf_starttime,
				'endtime' => $conf_endtime,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//    'documents_appearance' => array(
//      'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//      'canNotCollapse' => 1,
//    ),
//    'documents_upload' => array(
//      'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//      'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//      'canNotCollapse' => 1,
//    ),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_street,--linebreak--,'
						. 'mail_zip;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_zip,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lon,',
						'canNotCollapse' => 1,
				),
				'title' => array(
						'showitem' => ''
						. 'title;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.title,'
						. 'reference_number;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.reference_number'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url'
						,
						'canNotCollapse' => 1,
				),
		)
);

// #t0773, 160720, dwildt, 2+
$tx_org_service[ 'columns' ] = ( array ) $tx_org_service[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_service', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal ) + ( array ) orgTcaColumnsMedia( 'tx_org_service', 'documents', $conf_file_document, $conf_input_80_trim, $fal )
;
$tx_org_service[ 'ctrl' ] = ( array ) $tx_org_service[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_service', $fal )
;
$tx_org_service[ 'palettes' ] = ( array ) $tx_org_service[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal ) + ( array ) orgTcaPalettesMedia( $fal )
;

return $tx_org_service;
