<?php

/* * ************************************************
 * 
 * TEMPLATE
 * 
 * Extend typo3conf/realurl_conf.php with a array like
 * 	$rootPids = array(
 * 		'[domainName]' => [domainUid],
 * 		'hfs-berlin.de' => 1,
 * 		'www.hfs-berlin.de' => ...,
 * 	);
 * 
 * Please include it in typo3conf/realurl_conf.php by
 * include_once 'ext/org/Resources/Private/RealUrl/realurl_conf.php'
 * 
 * 
 * http://wiki.typo3.org/RealURL
 * 
 * ************************************************* */

// Use next line for check, if include_once() from below is successful
//die('died in' . __FILE__ );


/* * ************************************************
 * 
 * Default real URL configuration
 * 
 * ************************************************* */

$TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ] = array
		(
		'_DEFAULT' => array
				(
				'init' => array
						(
						'respectSimulateStaticURLs' => 0,
						'enableCHashCache' => 1,
						'appendMissingSlash' => 'ifNotFile',
						'enableUrlDecodeCache' => 1,
						'enableUrlEncodeCache' => 1,
						'reapplyAbsRefPrefix' => 1,
				),
				'pagePath' => array
						(
						'type' => 'user',
						'userFunc' => 'EXT:realurl/class.tx_realurl_advanced.php:&tx_realurl_advanced->main',
						'spaceCharacter' => '-',
						'languageGetVar' => 'L',
						'expireDays' => 7,
						'rootpage_id' => $rootPids[ $_SERVER[ 'HTTP_HOST' ] ],
						'firstHitPathCache' => 1,
				),
				'preVars' => array
						(
						array
								(
								'GETvar' => 'no_cache',
								'valueMap' => array
								(
										//'nc' => 1, // removed because of cookies and treeview
								),
								'noMatch' => 'bypass',
						),
				),
				// configure filenames for different pagetypes
				'fileName' => array(
						'index' => array(
								'druck.html' => array(
										'keyValues' => array(
												'type' => 98,
										),
								),
								'pdf.html' => array(
										'keyValues' => array(
												'type' => 123,
										),
								),
						),
				),
		),
);

/* * ************************************************
 * 
 * Default real URL configuration for postVarSets
 * 
 * ************************************************* */

$TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ] = array
		(
		'_DEFAULT' => array
				(
				// tx_org_cal
				'termin' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[calendarUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_cal',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_cal: datetime
				'zeitraum' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[tx_org_cal.datetime]',
						),
				),
				// tx_org_event
				'veranstaltung' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[eventUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_event',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_headquarters
				'bereich' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[headquartersUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_headquarters',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_job
				'job' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[jobUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_job',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_location
				'veranstaltungsort' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[locationUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_location',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// news: tx_org_news
				'nachricht' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[newsUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_news',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_repertoire
				'stueck' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[repertoireUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_repertoire',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_org_service
				'dienstleistung' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[serviceUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_service',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// staff: tx_org_staff
				'person' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[staffUid]',
								'lookUpTable' => array
										(
										'table' => 'tx_org_staff',
										'id_field' => 'uid',
										'alias_field' => 'title',
										'addWhereClause' => ' AND NOT deleted AND NOT hidden',
										'useUniqueCache' => 1,
										'useUniqueCache_conf' => array
												(
												'strtolower' => 1,
												'spaceCharacter' => '-',
										),
								)
						),
				),
				// tx_browser_pi1: defaults
				'ansicht' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[mode]',
						),
				),
				'az' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[azTab]',
						),
				),
				'buchstabe' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[indexBrowserTab]',
						),
				),
				'seite' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[pointer]',
						),
				),
				'pl' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[plugin]',
						),
				),
				'sort' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[sort]',
						),
				),
				'suche' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[sword]',
						),
				),
				'radius' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[radius]',
						),
				),
				'zip' => array
						(
						array
								(
								'GETvar' => 'tx_browser_pi1[radialsearch]',
						),
				),
		),
);

//$rootPids[ 'dummy.de' ] = '99999';

foreach( ( array ) $rootPids AS $domain => $uid )
{
	$TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ][ $domain ] = $TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ];
	$TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ][ $domain ][ 'pagePath' ][ 'rootpage_id' ] = $uid;
}
